<template>
  <div>
    <BasicTable @register="registerTable">
      
      <!-- <template #toolbar>
        <a-button type="primary" @click="handleCreate"> 新增到货单 </a-button>
      </template>
      <template #action="{ record }">
        <TableAction
          :actions="[
            {
              icon: 'clarity:note-edit-line',
              onClick: handleEdit.bind(null, record),
            },
            {
              icon: 'ant-design:delete-outlined',
              color: 'error',
              popConfirm: {
                title: '是否确认删除?',
                placement: 'left',
                confirm: handleDelete.bind(null, record),
              },
            },
          ]"
        />
      </template> -->
    </BasicTable>
  </div>
</template>
<script lang="ts">
import { defineComponent } from 'vue';

import { BasicTable, useTable, TableAction } from '/@/components/Table';

//import { useDrawer } from '/@/components/Drawer';

import { columns, searchFormSchema } from './productinput.data';
import {
  //DeleteEnterWarehouse,
  getProductinputListByPage,
} from '/@/api/tigerapi/wms/productinput';
import { isNullOrEmpty } from '/@/utils/is';
import { useUserStore } from '/@/store/modules/user';
import { useGo } from '/@/hooks/web/usePage';
import { useI18n } from '/@/hooks/web/useI18n';
import { useMessage } from '/@/hooks/web/useMessage';
const { createMessage } = useMessage();

export default defineComponent({
  name: 'WHManagement',
  components: { BasicTable, TableAction },
  setup() {
    const go = useGo();
    const { t: bt } = useI18n();
    //const [registerDrawer, { openDrawer }] = useDrawer();
    const [registerTable, { reload }] = useTable({
      title: '完工入库查询结果',
      api: getProductinputListByPage,
      columns,
      formConfig: {
        labelWidth: 120,
        schemas: searchFormSchema,
      },
      useSearchForm: true,
      showTableSetting: true,
      bordered: true,
      canResize: true,
      showIndexColumn: false,
      actionColumn: {
        width: 80,
        title: '操作',
        dataIndex: 'action',
        slots: { customRender: 'action' },
        fixed: 'right',
      },
    });

    const id = '22bed366178f46299dffdf87ea2136a6';
    const roles = useUserStore().getUserInfo.roles
    const is_active = roles.some(item => item.MENU_CODE === id)

    // function handleCreate() {
    //   openDrawer(true, {
    //     isUpdate: false,
    //   });
    // }


    // function handleDelete(record: Recordable) {
    //   console.log(record);
    //   //删除工厂
    //   const apiAction = DeleteEnterWarehouse(record);
    //   apiAction.then((action) => {
    //     if (action.IsSuccessed) {
    //       reload();
    //     }
    //   });
    // }
    //
    //完工入库单T100过账，wms同步过账
  
    function handleSuccess() {
      reload();
    }

    return {
      registerTable,
      isNullOrEmpty,
      is_active,
      // handleDelete,
      handleSuccess,
    };
  },
});
</script>
